libvorbis documentation | libvorbis version 1.3.2 - 20101101

# vorbis_synthesis_trackonly

declared in "vorbis/codec.h";

This function decodes a Vorbis packet similarly to vorbis_synthesis, except that the vorbis_block produced does not contain any audio data but merely updates the decoder's state as though the block had been actually decoded when vorbis_synthesis_blockin is called on it.

    extern int      vorbis_synthesis_trackonly(vorbis_block *vb,ogg_packet *op);

### Parameters

vb
  The vorbis_block to decode the packet into.
op
  The ogg_packet to decode.

### Return Values

> - 0 on success.
> - OV_ENOTAUDIO if the packet is not an audio packet.
> - OV_EBADPACKET if there was an error in the packet.

copyright © 2010 Xiph.Org | Ogg Vorbis
libvorbis documentation | libvorbis version 1.3.2 - 20101101